<?php
	require_once("../includes/clase_sesion.php");
	$sesion=new sesion(); // inicio la sesion
	require_once("../includes/academia_constantes.php");
	require_once("../includes/funciones_generales.php");
	require_once("../includes/academia.locale.php"); 
	$sesion->set('permiso',permisos($_POST['privilegio']));	
	//cache();
	require_once("../includes/lib_lenguaje.php");
	$cleguaje=new cLanguage("../phplang/");
	if(!comprobar_sesion()){
		mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
		exit;
	} 
?>
	
<style>
	.boletin {
	   font-size: 7pt;	
	   font-family: Arial, Helvetica, sans-serif;
	   vertical-align:top;
	}
		
	table.boletin {
		border-collapse:collapse; 
		margin:0px; 
		width:80%;	
		padding: 0;
		border: none;
		background: #FFFFFF;
		vertical-align: middle;
	}
	
	table.boletin td { 
		border:1px solid; 
		padding: 1px;
		border: solid 1px;
	}
	
	table.boletin th { 
		border:1px solid; 
		padding: 1px;
		border: solid 1px;
		text-align: center;
		font-weight:bold;
	}
	
	.spancabecera{
		font-weight:bold;	
		text-align:center;
	}
	
	.boletin .spanperiodos{
		text-align:center !important; 
	}
	
	.abajo{
		vertical-align:bottom !important;	
	}
	
	.bordes_abajo{	
		border-bottom:none !important;
	}
	
	.bordes_arriba{	
		border-top:none !important;
	}
	
	.puesto{
		font-weight:bold;
	}
	
	.area{
		border:solid 2px !important; 
		margin-top:2px !important;
	}
	
	.comportamiento{
		width:90% !important;
	}
	
	.firmantes {
	   font-size: 9pt;	
	   font-family: Arial, Helvetica, sans-serif;
	   vertical-align:top;
	   border:none;
	   font-weight:bold;
	   text-align:center;
	}
		
	.spanperiodosfirma {
	   font-size: 7pt !important;	
	   font-family:arial !important;
	   vertical-align:top !important;
	   text-align:center !important;
	}	
	
	.tablafirmantes{	
		width:80%;
		border:none; 
		text-align:center;	
	}
</style>

<?php 
	require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	$iduser=$sesion->get('ac_userid');
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	$cod_estudiantes=$academia->escapar($_GET['est'],'int');
	$grado=$academia->escapar($_GET['grado']); 
	$grupo=$academia->escapar($_GET['grupo'],'int');
	$director=$academia->escapar($_GET['DIR']);
	#$jornada=$academia->escapar($_GET['jorn'],'int'); 
	$sede=$academia->escapar(ucwords(strtolower($_GET['sede']))); 
	$seccion=$academia->escapar($_GET['secc']); 
	$periodon=$academia->escapar($_GET['peri'],'int'); 
	
	switch ($periodon) {
		case 1:
			$periodo= "Primero";
		break;
		case 2:
			$periodo= "Segundo";
		break;
		case 3:
			$periodo= "Tercero";
		break;
		case 4:
			$periodo= "Cuarto";
		break;
		case 5:
			$periodo= "Quinto";
		break;
		case 6:
			$periodo= "Sexto";
		break;
		case 7:
			$periodo= "Séptimo";
		break;
		case 8:
			$periodo= "Octavo";
		break;
		case 9:
			$periodo= "Noveno";
		break;
		case 10:
			$periodo= "Décimo";
		break;
		case 11:
			$periodo= "Décimo Primero";
		break;
		case 12:
			$periodo= "Décimo Segundo";
		break;
	} 
		
	$sql="call SP_BOLETINES_INDIVIDUAL_GENERICO ($cod_estudiantes,$grupo,$periodon,'$iduser')"; 
	//	echo $sql;
	$academia->instruccion($sql);
	unset($sql);
	$row=$academia->extraer_registro();  
	$notest=json_decode($row['notas'],true);
	$infcom=json_decode($row['comportamiento'],true);
?>
<div align="center" style="border:#900; width:300px" >
<table width='90%' class='boletin' cellspacing="1">
	<tr>
		<td><div class='spancabecera'>Id:&nbsp;&nbsp;<?php echo  trim($notest[dc_est]); ?></div></td>
		<td><div class='spancabecera'>Estudiante:&nbsp;&nbsp;<?php echo strtoupper(trim($notest[no_est])); ?></div></td>
		<td><div class='spancabecera'>Grado: &nbsp;&nbsp;<?php echo trim($grado); ?></div></td>
		<td><div class='spancabecera'>Puesto en el grupo:&nbsp;&nbsp; <?php echo trim($notest[pto_gru]); ?></div></td>
	</tr>
	<tr>
		<td colspan="4">
			<table class='boletin' >
				<tr> 
					<td style="width:40%"><div class='spancabecera'>Sede:&nbsp;&nbsp;<?php echo trim($sede);  $observa=""; ?></div></td>
					<td style="width:40%"><div class='spancabecera'>Jornada:&nbsp;&nbsp;<?php echo trim($seccion); ?></div></td>
					<td style="width:20%"><div class='spancabecera'>Periodo:&nbsp;&nbsp;<?php echo trim($periodo); ?></div></td>
				</tr>
			</table> 
	   </td>
	</tr>
	<tr>
		<td colspan="4">
			<table width="100%" cellspacing="1" class='boletin' >
				 <tr>
					 <td width="27%" rowspan=2 ><div class='spancabecera'>Asignatura</div></td>
					 <td width="5%"  rowspan=2 ><div class='spancabecera'>Puesto Asig.</div></td>
					 <td width="15%" rowspan=2 colspan=2><div class='spancabecera'>Desempeño (Num / Val)</div></td>
					 <td width="5%"  rowspan=2 ><div class='spancabecera'>Fal jus</div></td>
					 <td width="5%"  rowspan=2 ><div class='spancabecera'>Fal inj</div></td>
					 <td width="20%" colspan="4"><div class='spancabecera'>Periodos Anteriores</div></td>
                     <td width="28%" rowspan=2><div class='spancabecera'>Docente:&nbsp;</div></td>
				 </tr>  
				 <tr>
					 <td class="bordes_arriba" width="5%"><div class='spancabecera'>1</div></td>
					 <td class="bordes_arriba" width="5%"><div class='spancabecera'>2</div></td>
					 <td class="bordes_arriba" width="5%"><div class='spancabecera'>3</div></td>
					 <td class="bordes_arriba" width="5%"><div class='spancabecera'>4</div></td>
				 </tr>
		<?php 
				$materias=$notest['materias'];	
				foreach($materias as $rmat):
					$historicos=$rmat['historicos'] 
		?>
				<tr>
					<td ><?php echo ucfirst(trim($rmat['no_asi'])); ?></td>
					<td ><?php echo ucfirst(trim($rmat['puesto'])); ?></td>
					<td  width="5%"><?php echo ucfirst(trim($rmat['nn'])); ?></td>
					<td  width="10%" ><?php echo ucfirst(trim($rmat['nl'])); ?></td>
					<td  ><?php echo ucfirst(trim($rmat['fj'])); ?></td>
					<td  ><?php echo ucfirst(trim($rmat['fi'])); ?></td>    
					<td class="bordes_arriba"><?php echo ucfirst(trim($historicos[0]));  ?></td>
					<td class="bordes_arriba"><?php echo ucfirst(trim($historicos[1]));  ?></td>
					<td class="bordes_arriba"><?php echo ucfirst(trim($historicos[2]));  ?></td>
					<td class="bordes_arriba"><?php echo ucfirst(trim($historicos[3]));  ?></td>
					<td class="bordes_arriba"><?php echo ucwords(trim($rmat['dte']));  ?></td>
				</tr>
		  <?php 
				$observa=$observa . '<br/>' . ucwords(trim($rmat['obs_asi']));  ?>
		  <?php 
				endforeach; 
		  ?>
			</table>
		</td>
	</tr>
</table>
<p>&nbsp;</p>
	 
		<table width="60%" cellspacing="1" class='boletin'>
		  <tr>
			<td colspan="3"  width="35%" ><div class='spancabecera'>FALTAS DE COMPORTAMIENTO</div></td>
			<td colspan="4"   width="65%"><div class='spancabecera'>NIVEL DE COMPORTAMIENTO</div></td>
		  </tr>
		  <tr>
			<td width="15%" rowspan="2"><div class='spancabecera'>LEVES</div></td>
			<td width="15%" rowspan="2"><div class='spancabecera'>GRAVES</div></td>
			<td width="15%" rowspan="2"><div class='spancabecera'>GRAVÍSIMAS</div></td>
			<td colspan="4" ><div class='spancabecera'>PERIODOS</div></td>
		  </tr>
			  <tr>
				<td width="11%"><div class='spancabecera'>1</div></td>
				<td width="11%"><div class='spancabecera'>2</div></td>
				<td width="11%"><div class='spancabecera'>3</div></td>
				<td width="12%"><div class='spancabecera'>4</div></td>
			  </tr>
		
	   <?php
			$pierdex=$infcom['pierde'];
			foreach($infcom as $rcom):
				$faltas=$rcom['faltas'];
				$defcomporta=$rcom['hist'];
	   ?>
		   <tr>
			 <td ><?php echo trim($faltas[0]); ?></td>
			 <td ><?php echo trim($faltas[1]); ?></td>
			 <td ><?php echo trim($faltas[2]); ?></td>
			 <td ><?php echo trim($defcomporta[1]); ?></td>
			 <td ><?php echo trim($defcomporta[3]); ?></td>
			 <td ><?php echo trim($defcomporta[5]); ?></td>
			 <td ><?php echo trim($defcomporta[7]); ?></td>
		   </tr>
		<?php 
		   endforeach; 
		?>
		
		</table>
		<?php
			echo "<br/><div class='boletin'>OBSERVACIONES:</div> ".  trim($observa);
		 ?>
	</div>
		
	<?php
		$academia->liberar();
 ?>